USE [master]
GO

BEGIN TRY

	IF (DB_ID(N'StairwayToSQLCLR') IS NOT NULL)
	BEGIN
		PRINT 'Setting test DB to SINGLE_USER mode...';
		ALTER DATABASE [StairwayToSQLCLR] SET SINGLE_USER WITH ROLLBACK IMMEDIATE;

		PRINT 'Dropping test DB...';
		DROP DATABASE [StairwayToSQLCLR];
	END

	PRINT 'Sample Database removed!'
END TRY
BEGIN CATCH

	;THROW;

END CATCH
GO
